#pragma once

#include "cgp/cgp.hpp"

using namespace cgp;

struct hitbox {
	int N;

	std::vector<vec3> center;
	std::vector<double> r;

	void initialize_hitbox(int _N, std::vector<vec3> _center, std::vector<double> _r);
	bool is_in_hitbox(vec3 pos, vec3 shift, rotation_transform rot);
};